PROGRAM controls;
import "mod_video";
import "mod_joy";
import "mod_key";
import "mod_text";
import "mod_proc";
import "mod_grproc";
import "mod_say";
import "mod_map";
import "mod_math";

GLOBAL
    accel[2];
    int i;

process ball()
begin
    priority = 50;

    graph=map_new(8,8,16);
    map_clear(0,graph,rgb(255,0,0));

    x = 160;
    y = 120;

    loop
        x -= accel[ 0 ] / 32;
        y += accel[ 1 ] / 32;

        if ( x < 0 ) x = 0; end
        if ( x > 320 ) x = 320; end

        if ( y < 0 ) y = 0; end
        if ( y > 240 ) y = 240; end

        frame;
    end
end

BEGIN
    set_mode(320,240,16);

    priority = 100;

    write(0,160,230,4,"*** PRESS MENU FOR EXIT ***");

    from i = 0 to 2;
        write_int(0,20+(i*30),20,4,&accel[i]);
    end

    ball();

    LOOP
        joy_getaccel(0,&accel[0],&accel[1],&accel[2]);

        IF (get_joy_button(0,8)) let_me_alone(); exit(); END

        FRAME;
    END
END
